<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger("status")->nullable();
            $table->string('user')->nullable();
            $table->bigInteger('user_id')->unsigned()->nullable();
            $table->string('title')->nullable();
            $table->longText('body')->nullable();
            $table->string('maker')->nullable();
            $table->timestamps();
        });


  
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
//        Schema::dropIfExists('projec_works');
//        Schema::dropIfExists('project_infos');
//        Schema::dropIfExists('tasks');
//
//        Schema::dropIfExists('notes');
//        Schema::dropIfExists('admins');
//        Schema::dropIfExists('projects');
    }
};
